%{?scl:%scl_package eclipse-dtp}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%global tag f27802e342179dcc54a031e4e08af13c77bcc714

Name:      %{?scl_prefix}eclipse-dtp
Version:   1.14.105
Release:   1.%{baserelease}%{?dist}
Summary:   Eclipse Data Tools Platform
License:   EPL-2.0
URL:       https://www.eclipse.org/datatools/

Source0: https://git.eclipse.org/c/datatools/org.eclipse.datatools.git/snapshot/org.eclipse.datatools-%{tag}.tar.xz
Patch0: 0001-Port-to-Lucene-8.0.0.patch

BuildArch:        noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:    %{?scl_prefix}tycho
BuildRequires:    %{?scl_prefix}tycho-extras
BuildRequires:    %{?scl_prefix_maven}apache-commons-net
BuildRequires:    %{?scl_prefix}eclipse-emf-runtime
BuildRequires:    %{?scl_prefix}eclipse-gef
BuildRequires:    %{?scl_prefix}eclipse-pde
BuildRequires:    %{?scl_prefix_maven}xalan-j2
BuildRequires:    %{?scl_prefix_maven}xerces-j2
BuildRequires:    %{?scl_prefix_maven}xml-commons-apis
BuildRequires:    %{?scl_prefix_maven}xml-commons-resolver
BuildRequires:    %{?scl_prefix}wsdl4j
BuildRequires:    %{?scl_prefix}lpg-java-compat = 1.1.0
BuildRequires:    %{?scl_prefix}lucene
BuildRequires:    %{?scl_prefix}lucene-analysis
BuildRequires:    %{?scl_prefix}lucene-queryparser
BuildRequires:    %{?scl_prefix}lucene-misc

%description
The Eclipse Data Tools Platform provides extensible frameworks and exemplary 
tools, enabling a diverse set of plug-in offerings specific to particular 
data-centric technologies and supported by the DTP ecosystem.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n org.eclipse.datatools-%{tag}
%patch0 -p1

# Avoid using tycho-sourceref-jgit due to source tarball not being a git repo
%pom_remove_plugin :tycho-packaging-plugin

# Don't need to build tests or update site for RPM builds
%pom_disable_module tests
%pom_disable_module site

# Don't build oda bundles
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore plugins/enablement
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore.ui plugins/enablement
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore.feature features
%pom_disable_module org.eclipse.datatools.enablement.oda.ecore.sdk.feature features

# Fix lucene deps
sed -i -e '/lucene/s/7\.5,8/8.0,9.0/' plugins/sqltools/org.eclipse.datatools.sqltools.result/META-INF/MANIFEST.MF

# Don't package poms
%mvn_package "::pom::" __noinstall
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
# Avoid running out of heap on s390x
export MAVEN_OPTS="-Xmx1024m"

%mvn_build -j
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles

%changelog
* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 1.14.105-1.1
- Auto SCL-ise package for rh-eclipse collection

* Wed Jun 12 2019 Mat Booth <mat.booth@redhat.com> - 1.14.105-1
- Update to latest upstream build

* Mon May 13 2019 Mat Booth <mat.booth@redhat.com> - 1.14.102-5
- Avoid build failures due to heap exhaustion on s390x

* Thu Mar 14 2019 Mat Booth <mat.booth@redhat.com> - 1.14.102-4
- Update to 2019-03 release
- Restrict to same architectures as Eclipse itself
- Don't package aggregator poms

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.102-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 12 2018 Mat Booth <mat.booth@redhat.com> - 1.14.102-2
- Update to 2018-12 release
- Update to EPL 2 license

* Wed Sep 12 2018 Mat Booth <mat.booth@redhat.com> - 1.14.102-1
- Update to latest release
- Amend license tag

* Mon Sep 10 2018 Mat Booth <mat.booth@redhat.com> - 1.14.101-1
- Update to latest upstream release

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.100-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 4 2018 Alexander Kurtakov <akurtako@redhat.com> 1.14.100-4
- Newer upstream tarball to fix compile against Photon.

* Mon Mar 26 2018 Mat Booth <mat.booth@redhat.com> - 1.14.100-3
- Fix NCDFE when starting the o.e.datatools.connectivity bundle

* Tue Feb 06 2018 Nick Boldt <nboldt@redhat.com> - 1.14.100-2
- Remove obsolete patch file

* Tue Feb 06 2018 Nick Boldt <nboldt@redhat.com> - 1.14.100-1
- Update to latest DTP build, which now builds with tycho by itself, from a single repo

* Fri Dec 15 2017 Mat Booth <mat.booth@redhat.com> - 1.14.1-1
- Update to latest DTP build

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 05 2017 Mat Booth <mat.booth@redhat.com> - 1.14.0-1
- Update to latest upstream version

* Mon May 08 2017 Mat Booth <mat.booth@redhat.com> - 1.12.0-10
- Fix build against Oxygen

* Tue Apr 11 2017 Mat Booth <mat.booth@redhat.com> - 1.12.0-9
- Allow building against lucene 6 and organise patches

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Apr 27 2016 Mat Booth <mat.booth@redhat.com> - 1.12.0-7
- Build/install with tycho/xmvn

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 24 2015 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-5
- Fix build against Lucene 5.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 15 2015 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-3
- Adapt pde-build call to changed gef path.

* Wed Dec 3 2014 Alexander Kurtakov <akurtako@redhat.com> 1.12.0-2
- Fix build after eclipse-emf-runtime split.
- Modernize package a bit.

* Wed Aug 13 2014 Mat Booth <mat.booth@redhat.com> - 1.12.0-1
- Update to upstream Luna release

* Fri Jun 20 2014 Gerard Ryan <galileo@fedoraproject.org> - 1.11.2-5
- Add feature org.eclipse.datatools.doc.user

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-3
- Accomodate new Lucene sub-packages.

* Tue Mar 18 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-2
- Port to Lucene 4.

* Mon Mar 17 2014 Mat Booth <fedora@matbooth.co.uk> - 1.11.2-1
- Update to latest upstream, Kepler SR2.
- Drop requires on java, rhbz #1068036

* Tue Oct 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.11.1-1
- Update to Kepler SR1.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.11.0-1
- Update to Kepler release.

* Tue Feb 26 2013 Krzysztof Daniel <kdaniel@redhat.com> 1.10.2-1
- Update to latest upstream.

* Thu Feb 21 2013 Alexander Kurtakov <akurtako@redhat.com> 1.10.1-4
- Remove leftovers from old rpm.
- Fix too strict lucene.core scriptlet.